<template>
  <div id="footer_first">
    <div class="container" id="edp3">
      <div class="row">
        <div class="col-md" id="footer_first_left">
          <div class="region region-footer-first-left">
            <div id="block-sitebranding">
              <app-link class="site-branding__logo" :path="`/${$i18n.locale}`">
                <img src="../assets/img/edplogo.png" alt="European data portal logo">
              </app-link>
              <div class="site-branding__text">
                <div class="site-branding__name">
                  <app-link class="site-branding__logo" :path="`/${$i18n.locale}`">
                    {{ $t('message.header.european') }} <strong>{{ $t('message.header.dataPortal') }}</strong>
                  </app-link>
                </div>
              </div>
            </div>
            <div class="partners">
              <div class="partners__item d-flex align-items-center">
                  <img class="partners__img img-fundedby" src="../assets/img/funded-by.png">
                  <span class="partners__img-description">{{ $t('message.footer.fundedBy') }}</span>
              </div>
              <div class="partners__item d-flex align-items-center">
                  <span class="d-inline-block partners__img-container partners__img-container--managedby"><img class="partners__img img-publications-office" src="../assets/img/publications-office.png"></span>
                  <span class="partners__img-description">{{ $t('message.footer.managedBy') }}</span>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md" id="footer_first_middle">
          <div class="region region-footer-first-middle">
            <div id="block-subscribetoournewsletter">
              <div
                class="clearfix">
                <h2>{{ $t('message.footer.newsletterText') }}</h2>
                <p>
                  <app-link class="btn btn-footer text-white" :path="`/${$i18n.locale}/newsletter`">
                    {{ $t('message.footer.subscribe') }}
                  </app-link>
                </p>
              </div>
            </div>
            <div id="block-helpusimprove">
              <div
                class="clearfix">
                <h2>{{ $t('message.footer.helpUsImprove') }}</h2>
                <p>
                  <app-link :path="`/${$i18n.locale}/feedback?type=4`">
                    {{ $t('message.footer.helpUsImproveText') }}
                  </app-link>
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md" id="footer_first_right">
          <div class="region region-footer-first-right">
            <div id="block-followuson">
              <div
                class="clearfix">
                <h2>{{ $t('message.footer.followUs') }}</h2>
                <ul>
                  <li>
                    <app-link class="facebook" :to="`${facebookURL}`" target="_blank">
                    Facebook
                    </app-link>
                  </li>
                  <li>
                    <app-link class="twitter" :to="`${twitterURL}`" target="_blank">
                    Twitter
                    </app-link>
                  </li>
                  <li>
                    <app-link class="linkedin" :to="`${linkedIn}`" target="_blank">
                    LinkedIn
                    </app-link>
                  </li>
                  <li>
                    <app-link class="youtube" :to="`${youtubeURL}`" target="_blank">
                    YouTube
                    </app-link>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
/* eslint-disable */
import AppLink from "./AppLink";

export default {
  name: 'EDP3-footerTop',
  components: {
      appLink: AppLink,
  },
  data() {
      return {
        facebookURL: 'https://www.facebook.com/EuropeanDataPortal',
        twitterURL: 'https://twitter.com/EU_DataPortal',
        googleURL: 'https://plus.google.com/103679408419810180085',
        linkedIn: 'https://www.linkedin.com/groups/8428984/',
        youtubeURL: 'https://www.youtube.com/channel/UCWRxmFRYBSQyUe6GFOOrxFA',
      };
    },
  };
</script>

<style lang="scss" scoped>
  @import '../../node_modules/bootstrap/scss/bootstrap.scss';
  @import '../styles/footer-first.css';

  #edp3 {
    max-width: 1340px !important;
  }

  .partners {
    &__item {
      margin-bottom: 20px;

      img.img-publications-office, img.img-fundedby {
        width: 60px;
        min-width: 60px;
        height: auto;
        margin: 0;
        float: none;
      }
    }

    &__img-description {
      padding-left: 10px;
      margin: 0;
      font-size: 14px;
      line-height: 1;
      color: #202272;
    }

    &__img-container--managedby {
      height: 38px;
      align-items: start;
    }
  }

</style>
